import pymongo


def get_all_overleaf_users(
    container_name: str = "overleafmongo", port: int = 27017
) -> list[str]:
    email_list: list[str] = []
    with pymongo.MongoClient(container_name, port) as client:
        db = client.sharelatex
        users = db.users

        cursor = users.find({}, {"email": 1, "_id": 0})

        email_list = [user.get("email") for user in cursor if user.get("email")]

    return email_list


if __name__ == "__main__":
    email_list = get_all_overleaf_users()
    email_list.sort()
    for email in email_list:
        print(email)
